<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::svm_struct_processing_node::node_type&lt; matrix_type, feature_vector_type &gt;::binder Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1svm__struct__processing__node.html">svm_struct_processing_node</a></li><li class="navelem"><a class="el" href="classdlib_1_1svm__struct__processing__node_1_1node__type.html">node_type</a></li><li class="navelem"><a class="el" href="structdlib_1_1svm__struct__processing__node_1_1node__type_1_1binder.html">binder</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1svm__struct__processing__node_1_1node__type_1_1binder-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::svm_struct_processing_node::node_type&lt; matrix_type, feature_vector_type &gt;::binder Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab6f1f1f72413fc14949f5e01e5149b8c"><td class="memItemLeft" align="right" valign="top"><a id="ab6f1f1f72413fc14949f5e01e5149b8c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>binder</b> (const <a class="el" href="classdlib_1_1svm__struct__processing__node_1_1node__type.html">node_type</a> &amp;self_, const <a class="el" href="structdlib_1_1impl_1_1oracle__request.html">impl::oracle_request</a>&lt; matrix_type &gt; &amp;req_, <a class="el" href="structdlib_1_1impl_1_1oracle__response.html">impl::oracle_response</a>&lt; matrix_type &gt; &amp;data_, bool buffer_subgradients_locally_)</td></tr>
<tr class="separator:ab6f1f1f72413fc14949f5e01e5149b8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adae82c0f8a83ab8aa9f0c712ab65ca34"><td class="memItemLeft" align="right" valign="top"><a id="adae82c0f8a83ab8aa9f0c712ab65ca34"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>call_oracle</b> (long begin, long end)</td></tr>
<tr class="separator:adae82c0f8a83ab8aa9f0c712ab65ca34"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac1901fc21a3152d2381460d13642e517"><td class="memItemLeft" align="right" valign="top"><a id="ac1901fc21a3152d2381460d13642e517"></a>
const <a class="el" href="classdlib_1_1svm__struct__processing__node_1_1node__type.html">node_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>self</b></td></tr>
<tr class="separator:ac1901fc21a3152d2381460d13642e517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ac57a220d4f5353de017ddb666d28ce"><td class="memItemLeft" align="right" valign="top"><a id="a4ac57a220d4f5353de017ddb666d28ce"></a>
const <a class="el" href="structdlib_1_1impl_1_1oracle__request.html">impl::oracle_request</a>&lt; matrix_type &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>req</b></td></tr>
<tr class="separator:a4ac57a220d4f5353de017ddb666d28ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eac76b990f87e4ee9c77c1c673504a8"><td class="memItemLeft" align="right" valign="top"><a id="a8eac76b990f87e4ee9c77c1c673504a8"></a>
<a class="el" href="structdlib_1_1impl_1_1oracle__response.html">impl::oracle_response</a>&lt; matrix_type &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>data</b></td></tr>
<tr class="separator:a8eac76b990f87e4ee9c77c1c673504a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec48f8122434c4428f615b19ef997e1b"><td class="memItemLeft" align="right" valign="top"><a id="aec48f8122434c4428f615b19ef997e1b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>buffer_subgradients_locally</b></td></tr>
<tr class="separator:aec48f8122434c4428f615b19ef997e1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="structural__svm__distributed_8h_source.html">structural_svm_distributed.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
